Bug 247176 - audio/lollypop: update to 1.4.16
Summary: audio/lollypop: update to 1.4.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-11 15:32 UTC by Greg V
Modified: 2021-03-01 12:58 UTC (History)
1 user (show)

See Also:


Attachments
lollypop.patch (19.43 KB, patch)
2020-06-11 15:32 UTC, Greg V
greg: maintainer-approval+
Details | Diff
lollypop.patch v2 (19.47 KB, patch)
2020-06-11 18:19 UTC, Greg V
greg: maintainer-approval+
Details | Diff
lollypop.patch v3 (20.91 KB, patch)
2021-02-22 16:58 UTC, Greg V
greg: maintainer-approval+
Details | Diff
lollypop.patch v4 (21.37 KB, patch)
2021-02-25 15:54 UTC, Greg V
greg: maintainer-approval+
Details | Diff
lollypop.patch v5 (21.41 KB, patch)
2021-02-26 17:30 UTC, Greg V
greg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-06-11 15:32:54 UTC
Created attachment 215452 [details]
lollypop.patch
Comment 1 Greg V 2020-06-11 18:19:09 UTC
Created attachment 215462 [details]
lollypop.patch v2

also add BINARY_ALIAS python3, necessary for building in poudriere
Comment 2 Fernando Apesteguía freebsd_committer 2020-06-12 10:51:46 UTC
Hi Greg!

Thanks for the patch. Unfortunately, the port does not build for me in poudriere. I get this:

Dependency pygobject-3.0 found: NO found 3.28.3 but need: '>= 3.29.1'
Did not find CMake 'cmake'
Found CMake: NO
Run-time dependency pygobject-3.0 found: NO 

meson.build:27:0: ERROR: Invalid version of dependency, need 'pygobject-3.0' ['>= 3.29.1'] found '3.28.3'.

Would you have a look at it?
Comment 3 Fernando Apesteguía freebsd_committer 2020-07-08 10:15:04 UTC
ping!
Comment 4 Greg V 2020-07-08 11:04:07 UTC
(In reply to Fernando Apesteguía from comment #3)
still waiting on pygobject update
Comment 5 Fernando Apesteguía freebsd_committer 2020-10-02 07:24:22 UTC
Back to the pool
Comment 6 Greg V 2021-02-22 16:58:24 UTC
Created attachment 222727 [details]
lollypop.patch v3

pygobject has finally landed \o/

Now 1.4.16. Added pycairo and beautifulsoup dependencies since they are listed in the readme. Removed pkg-message about directory settings because the settings GUI has been working fine for a long time.
Comment 7 Fernando Apesteguía freebsd_committer 2021-02-23 07:18:46 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: Dependencies should be ordered:

# Dependencies     
BUILD_DEPENDS                           
-RUN_DEPENDS         
LIB_DEPENDS                                             
+RUN_DEPENDS  

Q/A: BINARY_ALIAS should be right before OPTIONS

# Standard bsd.port.mk variables
+BINARY_ALIAS                
                                                         
# Options definitions                                                                                              
OPTIONS_DEFINE

Thanks!
Comment 8 Greg V 2021-02-25 15:54:21 UTC
Created attachment 222827 [details]
lollypop.patch v4
Comment 9 Greg V 2021-02-25 15:55:41 UTC
No real changelog for this project, other than just the raw commits. Changes have mostly been fixes and UI improvements lately.
Comment 10 Fernando Apesteguía freebsd_committer 2021-02-26 08:45:42 UTC
Do I need to do anything special to make this run?

$ lollypop
Traceback (most recent call last):
  File "/usr/local/bin/lollypop", line 45, in <module>
    from lollypop.application import Application
  File "/usr/local/lib/python3.7/site-packages/lollypop/application.py", line 19, in <module>
    gi.require_version("Handy", "1")
  File "/usr/local/lib/python3.7/site-packages/gi/__init__.py", line 130, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Handy not available
Comment 11 Greg V 2021-02-26 17:30:12 UTC
Created attachment 222852 [details]
lollypop.patch v5

Sorry, missing dependency on libhandy-1
Comment 12 Fernando Apesteguía freebsd_committer 2021-03-01 09:39:51 UTC
I still can't make it run.

$ lollypop 

** (gst-plugin-scanner:51797): CRITICAL **: 10:35:33.807: pygobject initialization failed
[INFO] 2021-03-01 10:35:35 You need to add a music uri to org.gnome.Lollypop in dconf
[INFO] 2021-03-01 10:35:36 LastFMWebService::start(): [Errno 2] No such file or directory: '/home/fernape/.local/share/lollypop/LASTFM_queue.bin'
[INFO] 2021-03-01 10:35:36 LastFMWebService::start(): [Errno 2] No such file or directory: '/home/fernape/.local/share/lollypop/LASTFM_queue.bin'
[INFO] 2021-03-01 10:35:36 Last.fm web service started
[INFO] 2021-03-01 10:35:36 LastFMWebService::start(): [Errno 2] No such file or directory: '/home/fernape/.local/share/lollypop/LIBREFM_queue.bin'
[INFO] 2021-03-01 10:35:36 LastFMWebService::start(): [Errno 2] No such file or directory: '/home/fernape/.local/share/lollypop/LIBREFM_queue.bin'
[INFO] 2021-03-01 10:35:36 Libre.fm web service started
[INFO] 2021-03-01 10:35:36 ListenBrainzWebService::start(): [Errno 2] No such file or directory: '/home/fernape/.local/share/lollypop/listenbrainz_queue.bin'
[INFO] 2021-03-01 10:35:36 ListenBrainzWebService::start(): [Errno 2] No such file or directory: '/home/fernape/.local/share/lollypop/listenbrainz_queue.bin'
[INFO] 2021-03-01 10:35:36 ListenBrainz web service started
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/lollypop/application.py", line 187, in do_startup
    self.init()
  File "/usr/local/lib/python3.7/site-packages/lollypop/application.py", line 164, in init
    MPRIS(self)
  File "/usr/local/lib/python3.7/site-packages/lollypop/mpris.py", line 181, in __init__
    self.__bus = Gio.bus_get_sync(Gio.BusType.SESSION, None)
GLib.Error: g-file-error-quark: No se puede lanzar («spawn») un mensaje al bus sin un ID de máquina: No se puede cargar /var/lib/dbus/machine-id o /etc/machine-id: Falló al abrir el archivo «/var/lib/dbus/machine-id»: No such file or directory (4)
Comment 13 Greg V 2021-03-01 11:52:54 UTC
(In reply to Fernando Apesteguía from comment #12)

Do you have no D-Bus at all somehow?

Looks like you don't have a session bus, and it can't auto-start one because there's no machine-id file.

e.g. /usr/local/etc/rc.d/dbus runs /usr/local/bin/dbus-uuidgen --ensure in prestart to generate a machine-id.
Comment 14 commit-hook freebsd_committer 2021-03-01 12:56:09 UTC
A commit references this bug:

Author: fernape
Date: Mon Mar  1 12:55:36 UTC 2021
New revision: 566851
URL: https://svnweb.freebsd.org/changeset/ports/566851

Log:
  audio/lollypop: update to 1.4.16

  PR:	247176
  Submitted by:	greg@unrelenting.technology (maintainer)

Changes:
  head/audio/lollypop/Makefile
  head/audio/lollypop/distinfo
  head/audio/lollypop/pkg-plist
Comment 15 Fernando Apesteguía freebsd_committer 2021-03-01 12:58:07 UTC
(In reply to Greg V from comment #13)

Committed,

Thanks!

I one-started dbus and the app now runs. As a final note, it does not make sense to me to open a PR when at least one the dependencies is not satisfied because it is not in the tree. This has been the PR I've worked in for a longer period of time... by far!